# PhasicFlow: eventMessage Class Reference

eventMessage Class Reference

## Public Types

enum | event : unsigned int { DELETE = 1, INSERT = 2, REARRANGE = 4, SIZE_CHANGED = 8, CAP_CHANGED = 16, RANGE_CHANGED = 32 }

## Public Member Functions

| eventMessage ()
| eventMessage (unsigned int msg)
unsigned int | get () const
void | set (unsigned int msg)
void | add (unsigned int msg)
bool | equivalentTo (const event &evt) const
bool | isNull () const
bool | isDeleted () const
bool | isInsert () const
bool | isRearranged () const
bool | isSizeChanged () const
bool | isCapacityChanged () const
bool | isRangeChanged () const

## Protected Attributes

unsigned int | message_

## Detailed Description

Definition at line 29 of file eventMessage.hpp.

## Member Enumeration Documentation

## event

enum event : unsigned int

Enumerator
DELETE |
INSERT |
REARRANGE |
SIZE_CHANGED |
CAP_CHANGED |
RANGE_CHANGED |

Definition at line 32 of file eventMessage.hpp.

## Constructor & Destructor Documentation

## eventMessage() [1/2]

eventMessage | ( |  | ) |

inline

Definition at line 48 of file eventMessage.hpp.

## eventMessage() [2/2]

eventMessage | ( | unsigned int | msg | ) |

inline

Definition at line 53 of file eventMessage.hpp.

## Member Function Documentation

## get()

unsigned int get | ( |  | ) | const

inline

Definition at line 58 of file eventMessage.hpp.

References eventMessage::message_.

## set()

void set | ( | unsigned int | msg | ) |

inline

Definition at line 63 of file eventMessage.hpp.

References eventMessage::message_.

## add()

void add | ( | unsigned int | msg | ) |

inline

Definition at line 68 of file eventMessage.hpp.

References eventMessage::message_.

Referenced by pointStructure::insertPoints().

Here is the caller graph for this function:

## equivalentTo()

bool equivalentTo | ( | const event & | evt | ) | const

inline

Definition at line 73 of file eventMessage.hpp.

References eventMessage::message_.

Referenced by eventMessage::isCapacityChanged(), eventMessage::isDeleted(), eventMessage::isInsert(), eventMessage::isRangeChanged(), eventMessage::isRearranged(), and eventMessage::isSizeChanged().

Here is the caller graph for this function:

## isNull()

bool isNull | ( |  | ) | const

inline

Definition at line 78 of file eventMessage.hpp.

References eventMessage::message_.

## isDeleted()

bool isDeleted | ( |  | ) | const

inline

Definition at line 82 of file eventMessage.hpp.

References eventMessage::equivalentTo().

Referenced by pointField< T >::update().

Here is the call graph for this function:
Here is the caller graph for this function:

## isInsert()

bool isInsert | ( |  | ) | const

inline

Definition at line 87 of file eventMessage.hpp.

References eventMessage::equivalentTo().

Referenced by dynamicPointStructure::update(), and pointField< T >::update().

Here is the call graph for this function:
Here is the caller graph for this function:

## isRearranged()

bool isRearranged | ( |  | ) | const

inline

Definition at line 92 of file eventMessage.hpp.

References eventMessage::equivalentTo().

Here is the call graph for this function:

## isSizeChanged()

bool isSizeChanged | ( |  | ) | const

inline

Definition at line 97 of file eventMessage.hpp.

References eventMessage::equivalentTo().

Here is the call graph for this function:

## isCapacityChanged()

bool isCapacityChanged | ( |  | ) | const

inline

Definition at line 102 of file eventMessage.hpp.

References eventMessage::equivalentTo().

Here is the call graph for this function:

## isRangeChanged()

bool isRangeChanged | ( |  | ) | const

inline

Definition at line 107 of file eventMessage.hpp.

References eventMessage::equivalentTo().

Here is the call graph for this function:

## Member Data Documentation

## message_

unsigned int message_

protected

Definition at line 44 of file eventMessage.hpp.

Referenced by eventMessage::add(), eventMessage::equivalentTo(), eventMessage::get(), eventMessage::isNull(), and eventMessage::set().

The documentation for this class was generated from the following file:

- src/phasicFlow/eventSubscriber/eventMessage.hpp